Subject: Re: linux-next: build warning after merge of the ftrace tree

From: Fengguang Wu <[email-masked]>
Date: Thu, 5 Jun 2014 09:33:00 +0800

On Wed, Jun 04, 2014 at 09:12:02PM -0400, Steven Rostedt wrote:
> On Thu, 5 Jun 2014 09:03:53 +0800
> Fengguang Wu <[email-masked]> wrote:
>
> > > Was I Cc'd? I don't have that in my inbox, nor do I see it in any of my
> > > spam filters.
> >
> > Yes, here is the email message:
> >
> >         Date: Sat, 31 May 2014 02:16:43 +0800
> >         From: kbuild test robot <[email-masked]>
> > ==>     To: "Steven Rostedt (Red Hat)" <[email-masked]>
>
> Hmm, I wonder where it ended up? I do have a pretty complex procmailrc
> file, but I even checked the procmail log file, and it doesn't show it.
>
> I don't think my email provider dropped it, as I have all the spam
> filtering turned off and do my own filtering. Although, they may have
> added something behind my back. Wouldn't be the first time.
>
> Are you sure that got sent?

I have no supporting log to check whether the emails are actually sent
to you.  All I have is the list of emails that were sent, and these
emails do have the TO: field to you.

> Can you check if your bots have triggered anything else for me. Because
> your bots have been surprisingly quiet lately. I just took that as me
> getting better at not pushing crap.

Here are the recent emails sent to you:

 439   F May 10 To Steven Rostedt (4440:1) [trace:ftrace/next-3.17 29/29] kernel/trace/ftrace.c:108:27: warning: 'removed_ops' defined but not used
 446   F May 10 To Steven Rostedt (3531:1) [trace:ftrace/next-3.17 29/29] kernel/trace/ftrace.c:5358:12: error: 'struct ftrace_ops' has no member named 'trampoline'
1207   F May 31 To Steven Rostedt (  43:0) [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq'
1210   F May 31 To Steven Rostedt (  29:0) [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:84:3: warning: comparison of distinct pointer types lacks a cast

> I may add a bad commit to one of my branches and see if I get a
> response from you just to test it out. I really hope we can fix this
> because I've gotten someone dependent on your reports. :-/

Yes we need to fix it. The same lost email issue has happened for
someone else, which was fixed by changing the email address. I can
conveniently redirect reports to any other email addresses you have.

Thanks,
Fengguang

>
> -- Steve
>
>
> >         CC: [email-masked]
> >         Subject: [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq'
> >         User-Agent: Heirloom mailx 12.5 6/20/10
> >
> >         tree:   git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace.git ftrace/core
> >         head:   4c27e756bc019ec1c11232893af036fdae720a97
> >         commit: 81dc9f0ef21e40114cc895894c7acf3055f6d1fb [29/32] tracing: Add tracepoint benchmark tracepoint
> >         config: make ARCH=x86_64 allmodconfig
> >
> >         All warnings:
> >
> >            kernel/trace/trace_benchmark.c: In function 'trace_do_benchmark':
> >         >> kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq' [-Wunused-variable]
> >              u64 seedsq;
> >                  ^
> > Thanks,
> > Fengguang